## biboumi 9.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(biboumi)

set(${PROJECT_NAME}_VERSION_MAJOR 9)
set(${PROJECT_NAME}_VERSION_MINOR 0)
set(${PROJECT_NAME}_VERSION_SUFFIX "")

if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5.0)
        message(FATAL_ERROR "GCC version must be at least 5.0.")
    endif()
elseif (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 3.4)
        message(FATAL_ERROR "Clang version must be at least 3.4.")
    endif()
endif()

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Debug" CACHE STRING
      "Build type (Release/Debug/RelWithDebInfo/MinSizeRel)" FORCE)
endif()

#
## Find optional instrumentation libraries that will be used in debug only
#
find_library(LIBASAN NAMES asan libasan.so.4 libasan.so.3 libasan.so.2 libasan.so.1)
find_library(LIBUBSAN NAMES ubsan libubsan.so.0)

#
## Set various debug flags (instrumentation libs, coverage, …)
#
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++1y -pedantic -Wall -Wextra -Wconversion -fvisibility=hidden -fvisibility-inlines-hidden")
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fprofile-arcs -ftest-coverage --coverage")
endif()
if(LIBASAN)
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=address")
endif()
if(LIBUBSAN)
  set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=undefined")
endif()

#
## Set the software version, archive name, RPM name etc
#
set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR})
set(RPM_VERSION ${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR})

if(${PROJECT_NAME}_VERSION_SUFFIX MATCHES ".+")
  set(ARCHIVE_NAME ${ARCHIVE_NAME}${${PROJECT_NAME}_VERSION_SUFFIX})
  set(RPM_VERSION ${RPM_VERSION}${${PROJECT_NAME}_VERSION_SUFFIX})
endif()

if(${PROJECT_NAME}_VERSION_SUFFIX MATCHES "^~dev$")
  # If we are on a dev version, append the hash of the current git HEAD to
  # the version
  include(FindGit)
  if(GIT_FOUND AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
    execute_process(COMMAND git --git-dir=${CMAKE_SOURCE_DIR}/.git rev-parse --short HEAD
      OUTPUT_VARIABLE GIT_REVISION
      OUTPUT_STRIP_TRAILING_WHITESPACE)
    if(GIT_REVISION)
      set(${PROJECT_NAME}_VERSION_SUFFIX "${${PROJECT_NAME}_VERSION_SUFFIX} (${GIT_REVISION})")
      set(ARCHIVE_NAME ${ARCHIVE_NAME}${GIT_REVISION})
      set(RPM_VERSION ${RPM_VERSION}${GIT_REVISION})
    endif()
  endif()
endif()

set(SOFTWARE_VERSION
  ${${PROJECT_NAME}_VERSION_MAJOR}.${${PROJECT_NAME}_VERSION_MINOR}${${PROJECT_NAME}_VERSION_SUFFIX})

#
## The rule that generates the documentation
#
add_custom_target(html COMMAND make html BUILDDIR=${CMAKE_CURRENT_BINARY_DIR}
                  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc)
add_custom_target(man COMMAND make man BUILDDIR=${CMAKE_CURRENT_BINARY_DIR}
                  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/doc)
add_custom_target(doc DEPENDS html man)

#
## Set this search path for cmake, to find our custom search modules
#
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules/")
find_package(ICONV REQUIRED)
find_package(LIBUUID REQUIRED)
find_package(EXPAT REQUIRED)

#
## Find all the libraries (optional or not)
#
if(WITH_LIBIDN)
  find_package(LIBIDN REQUIRED)
elseif(NOT WITHOUT_LIBIDN)
  find_package(LIBIDN)
endif()

if(WITH_SYSTEMD)
  find_package(SYSTEMD REQUIRED)
elseif(NOT WITHOUT_SYSTEMD)
  find_package(SYSTEMD)
endif()

if(WITH_BOTAN)
  find_package(BOTAN REQUIRED)
elseif(NOT WITHOUT_BOTAN)
  find_package(BOTAN)
endif()

if(NOT BOTAN_FOUND)
  find_package(GCRYPT REQUIRED)
endif()

if(WITH_UDNS)
  find_package(UDNS REQUIRED)
elseif(NOT WITHOUT_UDNS)
  find_package(UDNS)
endif()

if(WITH_SQLITE3)
  find_package(SQLITE3 REQUIRED)
elseif(NOT WITHOUT_SQLITE3)
  find_package(SQLITE3)
endif()

if(WITH_POSTGRESQL)
  find_package(PQ REQUIRED)
elseif(NOT WITHOUT_POSTGRESQL)
  find_package(PQ)
endif()

#
## Set all the include directories, depending on what libraries are used
#
include_directories(${EXPAT_INCLUDE_DIRS})
include_directories(${ICONV_INCLUDE_DIRS})
include_directories(${LIBUUID_INCLUDE_DIRS})
if(SYSTEMD_FOUND)
  include_directories(${SYSTEMD_INCLUDE_DIRS})
endif()
if(BOTAN_FOUND)
  include_directories(SYSTEM ${BOTAN_INCLUDE_DIRS})
endif()
if(UDNS_FOUND)
  include_directories(${UDNS_INCLUDE_DIRS})
endif()

# To be able to include the config.h and other files generated by cmake
include_directories("${CMAKE_CURRENT_BINARY_DIR}/src/")
include_directories("${CMAKE_CURRENT_SOURCE_DIR}/src/")
include_directories("${CMAKE_CURRENT_BINARY_DIR}/")

#
## Define all the modules
#

file(GLOB source_utils
        src/utils/*.[hc]pp)
add_library(utils OBJECT ${source_utils})

file(GLOB source_irc
        src/irc/*.[hc]pp)
add_library(irc OBJECT ${source_irc})

file(GLOB source_xmpp
        src/xmpp/*.[hc]pp)
add_library(xmpp OBJECT ${source_xmpp})

file(GLOB source_identd
        src/identd/*.[hc]pp)
add_library(identd OBJECT ${source_identd})

file(GLOB source_bridge
        src/bridge/*.[hc]pp)
add_library(bridge OBJECT ${source_bridge})

file(GLOB source_config
        src/config/*.[hc]pp)
add_library(config OBJECT ${source_config})

file(GLOB source_logger
        src/logger/*.[hc]pp)
add_library(logger OBJECT ${source_logger})

file(GLOB source_network
        src/network/*.[hc]pp)
add_library(network OBJECT ${source_network})

option(DEBUG_SQL_QUERIES
       "If set to true, every SQL statement executed will be logged and timed"
       OFF)
if(SQLITE3_FOUND OR PQ_FOUND)
  file(GLOB source_database
          src/database/*.[hc]pp)
  add_library(database OBJECT ${source_database})

  if(SQLITE3_FOUND)
    include_directories(database ${SQLITE3_INCLUDE_DIRS})
  endif()
  if(PQ_FOUND)
    include_directories(database ${PQ_INCLUDE_DIRS})
  endif()
  set(USE_DATABASE TRUE)
endif()

#
## Define the executables
#

## main
add_executable(${PROJECT_NAME} src/main.cpp
        $<TARGET_OBJECTS:utils>
        $<TARGET_OBJECTS:config>
        $<TARGET_OBJECTS:logger>
        $<TARGET_OBJECTS:network>
        $<TARGET_OBJECTS:xmpp>
        $<TARGET_OBJECTS:bridge>
        $<TARGET_OBJECTS:irc>
        $<TARGET_OBJECTS:identd>)

## test_suite
file(GLOB source_tests
  tests/*.cpp)
add_executable(test_suite ${source_tests}
        $<TARGET_OBJECTS:utils>
        $<TARGET_OBJECTS:config>
        $<TARGET_OBJECTS:logger>
        $<TARGET_OBJECTS:network>
        $<TARGET_OBJECTS:xmpp>
        $<TARGET_OBJECTS:bridge>
        $<TARGET_OBJECTS:irc>
        $<TARGET_OBJECTS:identd>)
set_target_properties(test_suite PROPERTIES EXCLUDE_FROM_ALL TRUE)
if(USE_DATABASE)
  target_sources(${PROJECT_NAME} PRIVATE $<TARGET_OBJECTS:database>)
  target_sources(test_suite      PRIVATE $<TARGET_OBJECTS:database>)
endif()

#
## Link the executables with their libraries
#
target_link_libraries(${PROJECT_NAME}
        ${ICONV_LIBRARIES}
        ${LIBUUID_LIBRARIES}
        ${EXPAT_LIBRARY})
target_link_libraries(test_suite
        ${ICONV_LIBRARIES}
        ${LIBUUID_LIBRARIES}
        ${EXPAT_LIBRARY})
if(SYSTEMD_FOUND)
  target_link_libraries(${PROJECT_NAME} ${SYSTEMD_LIBRARIES})
  target_link_libraries(test_suite ${SYSTEMD_LIBRARIES})
endif()
if(BOTAN_FOUND)
  target_link_libraries(${PROJECT_NAME} ${BOTAN_LIBRARIES})
  target_link_libraries(test_suite ${BOTAN_LIBRARIES})
elseif(GCRYPT_FOUND)
  target_link_libraries(${PROJECT_NAME} ${GCRYPT_LIBRARIES})
  target_link_libraries(test_suite ${GCRYPT_LIBRARIES})
endif()
if(UDNS_FOUND)
  target_link_libraries(${PROJECT_NAME} ${UDNS_LIBRARIES})
  target_link_libraries(test_suite ${UDNS_LIBRARIES})
endif()
if(LIBIDN_FOUND)
  target_link_libraries(${PROJECT_NAME} ${LIBIDN_LIBRARIES})
  target_link_libraries(test_suite ${LIBIDN_LIBRARIES})
endif()
if(USE_DATABASE)
  if(SQLITE3_FOUND)
    target_link_libraries(${PROJECT_NAME} ${SQLITE3_LIBRARIES})
    target_link_libraries(test_suite ${SQLITE3_LIBRARIES})
  endif()
  if(PQ_FOUND)
    target_link_libraries(${PROJECT_NAME} ${PQ_LIBRARIES})
    target_link_libraries(test_suite ${PQ_LIBRARIES})
endif()
endif()

# Define a __FILENAME__ macro with the relative path (from the base project directory)
# of each source file
file(GLOB_RECURSE source_all src/*.[hc]pp tests/*.[hc]pp)
foreach(file ${source_all})
  file(RELATIVE_PATH shorter_file ${CMAKE_CURRENT_SOURCE_DIR} ${file})
  set_property(SOURCE ${file} APPEND PROPERTY COMPILE_DEFINITIONS __FILENAME__="${shorter_file}")
endforeach()

#
## Add a rule to download the catch unit test framework
#
include(ExternalProject)
ExternalProject_Add(catch
  GIT_REPOSITORY "https://lab.louiz.org/louiz/Catch.git"
  PREFIX "external"
  UPDATE_COMMAND ""
  CONFIGURE_COMMAND ""
  BUILD_COMMAND ""
  INSTALL_COMMAND ""
  )
set_target_properties(catch PROPERTIES EXCLUDE_FROM_ALL TRUE)
ExternalProject_Get_Property(catch SOURCE_DIR)
if(NOT EXISTS ${CMAKE_SOURCE_DIR}/tests/catch.hpp)
  target_include_directories(test_suite
    PUBLIC "${SOURCE_DIR}/single_include/"
    )
  add_dependencies(test_suite catch)
endif()

#
## Add some custom rules to launch the tests
#
add_custom_target(check COMMAND "test_suite"
  DEPENDS test_suite)
add_custom_target(check_junit COMMAND test_suite -r junit -o check_result.xml
  DEPENDS test_suite)
set_target_properties(check PROPERTIES EXCLUDE_FROM_ALL TRUE)
add_custom_target(e2e COMMAND "python3" "${CMAKE_CURRENT_SOURCE_DIR}/tests/end_to_end/"
  DEPENDS biboumi)
set_target_properties(e2e PROPERTIES EXCLUDE_FROM_ALL TRUE)
add_custom_target(e2e_valgrind COMMAND "E2E_BIBOUMI_SUPP_DIR=${CMAKE_CURRENT_SOURCE_DIR}/tests/end_to_end/" "E2E_BIBOUMI_VALGRIND=1" "python3" "${CMAKE_CURRENT_SOURCE_DIR}/tests/end_to_end/"
    DEPENDS biboumi)
if(CMAKE_BUILD_TYPE MATCHES Debug)
  include(CodeCoverage)
  SETUP_TARGET_FOR_COVERAGE(coverage_check
    ./test_suite
    coverage_test_suite
    "-o;check_result.xml;-r;junit")
  add_dependencies(coverage_check test_suite)

  SETUP_TARGET_FOR_COVERAGE(coverage_e2e
    python3
    coverage_e2e
    "${CMAKE_CURRENT_SOURCE_DIR}/tests/end_to_end/")
  add_dependencies(coverage_e2e biboumi)

  ADD_CUSTOM_TARGET(coverage
    COMMAND ${LCOV_PATH} -a coverage_e2e.info -a coverage_test_suite.info -o coverage_total.info

    COMMAND ${GENHTML_PATH} -o coverage_total coverage_total.info

    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    )
endif()
add_custom_target(everything DEPENDS test_suite biboumi)

#
## Install target
#
install(TARGETS ${PROJECT_NAME} RUNTIME                     DESTINATION bin)
install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/man/biboumi.1   DESTINATION share/man/man1         OPTIONAL COMPONENT documentation)
install(FILES   ${CMAKE_CURRENT_BINARY_DIR}/biboumi.service DESTINATION lib/systemd/system     COMPONENT init)
file(GLOB policy_files conf/*policy.txt)
install(FILES   ${policy_files}                             DESTINATION /etc/biboumi           COMPONENT configuration)

#
## Dist target
## Generate a release tarball from the git sources
#
add_custom_command(OUTPUT ${ARCHIVE_NAME}.tar.xz
  COMMAND git archive --prefix=${ARCHIVE_NAME}/ --format=tar HEAD^{tree}
          > ${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_NAME}.tar
  # Append this specific file that is not part of the git repo
  COMMAND tar -rf ${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_NAME}.tar -P ${SOURCE_DIR}/single_include/catch.hpp --xform 's|/.*/|${ARCHIVE_NAME}/tests/|g'
  # Remove a potential existing archive
  COMMAND rm -f ${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_NAME}.tar.xz
  # Compress the archive
  COMMAND xz ${CMAKE_CURRENT_BINARY_DIR}/${ARCHIVE_NAME}.tar
  COMMAND ${CMAKE_COMMAND} -E cmake_echo_color --cyan "${ARCHIVE_NAME}.tar.xz created."
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
  )
add_custom_target(dist
  DEPENDS ${ARCHIVE_NAME}.tar.xz
  DEPENDS catch)

add_custom_target(rpm
  DEPENDS dist
  COMMAND mkdir -p rpmbuild/{BUILD,RPMS,SOURCES,SPECS,SRPMS}

=== debian/changelog ===
biboumi (9.0-5build1) noble; urgency=high

  * No change rebuild against libudns0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:57:56 +0200

biboumi (9.0-5) unstable; urgency=medium

  * add patch cherry-picked upstream
    to not use ':' as a namespace separator with expat;
    closes: bug#1006333, thanks to Slavko and Diane Trout
  * unfuzz patches
  * update copyright info:
    + drop superfluous secondary source URI
    + update coverage
  * update git-buildpackage config:
    + use DEP-14 branch names debian/latest upstream/latest
      (not master upstream)
    + add usage comment

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 13 Mar 2022 10:17:55 +0100

biboumi (9.0-4) unstable; urgency=medium

  * explicitly disable watchdog,
    to silence systemd syntax warning;
    closes: bug#1005108, thanks to Christoph Egger
  * update copyright info:
    + use Reference field (not License-Reference)
  * set Rules-Requires-Root: no

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 09 Feb 2022 14:12:32 +0100

biboumi (9.0-3) unstable; urgency=medium

  * simplify copyright-check
  * stop build-depend explicitly on gcc,
    and build-depend on native python3-sphinx,
    both needed to make package cross-buildable;
    closes: Bug#987572, thanks to Nilesh Patra
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Aug 2021 15:44:29 +0200

biboumi (9.0-2) unstable; urgency=medium

  * Set default database and log level
  * Change owner of data directory in postinst
  * Migrate to dh from CDBS
  * Add versionmangle for RC releases

 -- Michel Le Bihan <michel@lebihan.pl>  Mon, 18 Jan 2021 12:10:02 +0100

biboumi (9.0-1) unstable; urgency=medium

  [ upstream ]
  * New release(s) (Closes: Bug#957037 and Bug#976356).

 -- Michel Le Bihan <michel@lebihan.pl>  Sat, 19 Dec 2020 15:43:03 +0200

=== debian/control ===
Source: biboumi
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
 libexpat1-dev,
 libidn11-dev,
 libsystemd-dev,
 libudns-dev,
 libbotan-2-dev,
 libsqlite3-dev,
 libpq-dev,
 cmake,
 catch,
 uuid-dev,
 python3-sphinx:native,
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>,
 Vasudev Kamath <vasudev@copyninja.info>,
 Michel Le Bihan <michel@lebihan.pl>
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/pkg-voip-team/biboumi.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/biboumi
Homepage: https://lab.louiz.org/louiz/biboumi/
Rules-Requires-Root: no

Package: biboumi
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 adduser,
Provides: ident-server
Description: XMPP gateway to connect to IRC servers
 Biboumi is an XMPP gateway that connects to IRC servers and translates
 between the two protocols. It can be used to access IRC channels using
 any XMPP client as if these channels were XMPP MUCs.
 .
 It is written in modern C++14 and makes great efforts to have as little
 dependencies and to be as simple as possible.
 .
 The goal is to provide a way to access most of IRC features using any
 XMPP client.  It doesn’t however try to provide a complete mapping of
 the features of both worlds simply because this is not useful and most
 probably impossible.  For example all IRC modes are not all
 translatable into an XMPP features.  Some of them are (like +m (mute)
 or +o (operator) modes), but some others are IRC-specific.  If IRC is
 the limiting factor (for example you cannot have a non-ASCII nickname
 on IRC) then biboumi doesn’t try to work around this issue: it just
 enforces the rules of the IRC server by telling the user that he/she
 must choose an ASCII-only nickname.  An important goal is to keep the
 software (and its code) light and simple.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DSERVICE_USER=_biboumi -DSERVICE_GROUP=_biboumi -DWATCHDOG_SEC=0

execute_after_dh_auto_install:
	mkdir -p debian/biboumi/lib
	mv debian/biboumi/usr/lib/systemd debian/biboumi/lib
	rmdir debian/biboumi/usr/lib
	cp conf/biboumi.cfg debian/biboumi/etc/biboumi
	sed -i -e 's/db_name=/db_name=\/var\/lib\/biboumi\/biboumi.sqlite/' \
		debian/biboumi/etc/biboumi/biboumi.cfg
	echo log_level=1 >> debian/biboumi/etc/biboumi/biboumi.cfg

%:
	dh $@

## biboumi 9.0%2B20231006

=== debian/changelog ===
biboumi (9.0+20231006-2) unstable; urgency=medium

  * acknowledge and revive 9.0-5.1;
    closes: bug#1073626,
    thanks to Chris Hofstaedtler and Michael Biebl

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Oct 2024 21:05:24 +0100

biboumi (9.0+20231006-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot
    Highlights:
    + Always send direct messages to the user’s bare JID
    + Do not mark message to bare JID private/no-copy
    + sasl: Use the nick from the presence
      if the ad-hoc one is not set
    + Use recipient-unavailable
      when we are not connected to the IRC server
    + Catch all botan exception when sending data, not just TLS
    + Follow-up of the previous on: also catch that on recv events
    + Do not use ':' as a namespace separator with expat
    + utils/sha1.cpp: add missing <cstdint> include
    + Replace inexistant lightmagenta CSS colour with hotpink

  [ Jonas Smedegaard ]
  * update source URIs for new home at codeberg.org
  * update watch file:
    + track git commits (not release tags);
    + improve usage comments
  * declare compliance with Debian Policy 4.7.0
  * build-depend on libidn-dev (not libidn11-dev);
    closes: bug#1086094, thanks to Simon Josefsson
  * drop patch cherry-picked upstream, now obsolete

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Oct 2024 22:04:55 +0200

biboumi (9.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr. (Closes: #1073626)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 11 Jul 2024 14:29:02 +0200

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- -DSERVICE_USER=_biboumi -DSERVICE_GROUP=_biboumi -DWATCHDOG_SEC=0

execute_after_dh_auto_install:
	cp conf/biboumi.cfg debian/biboumi/etc/biboumi
	sed -i -e 's/db_name=/db_name=\/var\/lib\/biboumi\/biboumi.sqlite/' \
		debian/biboumi/etc/biboumi/biboumi.cfg
	echo log_level=1 >> debian/biboumi/etc/biboumi/biboumi.cfg

%:
	dh $@

## biboumi 9.0%2B20250730

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,pgpmode=none,pretty=9.0+%cd,\
dversionmangle=auto \
https://codeberg.org/poezio/biboumi.git \
HEAD

## biboumi 9.0+20231006

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  libexpat1-dev,
- libidn11-dev,
+ libidn-dev,
  libsystemd-dev,
  libudns-dev,
  libbotan-2-dev,
@@ -13,15 +13,14 @@
  catch,
  uuid-dev,
  python3-sphinx:native,
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
  Michel Le Bihan <michel@lebihan.pl>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/biboumi.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/biboumi
-Homepage: https://lab.louiz.org/louiz/biboumi/
+Homepage: https://codeberg.org/poezio/biboumi
 Rules-Requires-Root: no
 
 Package: biboumi

## biboumi 9.0+20241124

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 project(biboumi)
 
-set(${PROJECT_NAME}_VERSION_MAJOR 9)
+set(${PROJECT_NAME}_VERSION_MAJOR 10)
 set(${PROJECT_NAME}_VERSION_MINOR 0)
-set(${PROJECT_NAME}_VERSION_SUFFIX "")
+set(${PROJECT_NAME}_VERSION_SUFFIX "~dev")
 
 if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
     if (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 5.0)

=== debian/changelog ===
biboumi (9.0+20241124-3) unstable; urgency=medium

  * Re-enable TLS
  * Adopt package back into VoIP Team (Closes: #1100511)

 -- Bastian Germann <bage@debian.org>  Wed, 23 Jul 2025 21:32:16 +0200

biboumi (9.0+20241124-2) unstable; urgency=medium

  * QA upload
  * Disable TLS (Closes: #1109758)

 -- Bastian Germann <bage@debian.org>  Wed, 23 Jul 2025 16:44:01 +0200

biboumi (9.0+20241124-1) unstable; urgency=medium

  [ upstream ]
  * development snapshot

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.2
  * orphan package

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Mar 2025 18:33:11 +0100

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,8 @@
  uuid-dev,
  python3-sphinx:native,
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Jonas Smedegaard <dr@jones.dk>,
- Vasudev Kamath <vasudev@copyninja.info>,
- Michel Le Bihan <michel@lebihan.pl>
-Standards-Version: 4.7.0
+Uploaders: Bastian Germann <bage@debian.org>
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/biboumi.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/biboumi
 Homepage: https://codeberg.org/poezio/biboumi

## biboumi 9.0+20250730

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
 project(biboumi)
 
@@ -30,7 +30,7 @@
 #
 ## Set various debug flags (instrumentation libs, coverage, …)
 #
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++1y -pedantic -Wall -Wextra -Wconversion -fvisibility=hidden -fvisibility-inlines-hidden")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++20 -pedantic -Wall -Wextra -Wconversion -fvisibility=hidden -fvisibility-inlines-hidden")
 if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
   set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fprofile-arcs -ftest-coverage --coverage")
 endif()
@@ -292,7 +292,8 @@
 #
 include(ExternalProject)
 ExternalProject_Add(catch
-  GIT_REPOSITORY "https://lab.louiz.org/louiz/Catch.git"
+  GIT_REPOSITORY "https://codeberg.org/poezio/Catch.git"
+  GIT_TAG "v1.5.9"
   PREFIX "external"
   UPDATE_COMMAND ""
   CONFIGURE_COMMAND ""

=== debian/changelog ===
biboumi (9.0+20250730-2) unstable; urgency=medium

  * Prevent auto-start (config is incomplete)

 -- Bastian Germann <bage@debian.org>  Sun, 10 Aug 2025 12:28:00 +0200

biboumi (9.0+20250730-1) experimental; urgency=medium

  * development snapshot
  * Build with botan3 (Closes: #1109758)

 -- Bastian Germann <bage@debian.org>  Mon, 04 Aug 2025 15:15:56 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libidn-dev,
  libsystemd-dev,
  libudns-dev,
- libbotan-2-dev,
+ libbotan-3-dev,
  libsqlite3-dev,
  libpq-dev,
  cmake,

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,8 @@
 		debian/biboumi/etc/biboumi/biboumi.cfg
 	echo log_level=1 >> debian/biboumi/etc/biboumi/biboumi.cfg
 
+override_dh_installsystemd:
+	dh_installsystemd --no-start --no-enable
+
 %:
 	dh $@
